WordPress.org

Ready to get started?Download WordPress

Forums

404 errors on new blog within multisite (5 posts)

  1. mvpnyweb
    Member
    Posted 1 year ago #

    I have a multisite blog and just created a new sub-blog. (if that's the right term for it?)

    I'm getting a 404 error on every page of this new blog (except for the main page): each post, every categories, the archives page. I'm worried this is from copying files over from another blog and not changing the right information.

    Here's the link to the new blog: http://innewyork.com/blog/daily-nyc/

    Also, I found some similar posts about this mentioning changing something in Apache? I don't know if we use that, tried looking on the hard drive but I'm a little lost I guess. I'm on a Mac running OS X 10.4 and we use Dreamweaver to edit the files.

    Also, I know I'm running a super old version of WP, but I tried to upgrade and the file wouldn't work for some reason.

    Please let me know if you need any more information/have any questions! I am new at this.

  2. Multisite Network and sub-site, but we get what you mean ;)

    What's your .htaccess look like?

  3. mvpnyweb
    Member
    Posted 1 year ago #

    Good to know for future ref, thanks!

    Here's the .htaccess file:

    RewriteEngine On
    RewriteBase /blog/
    
    #uploaded files
    RewriteRule ^(.*/)?files/$ index.php [L]
    RewriteCond %{REQUEST_URI} !.*wp-content/plugins.*
    RewriteRule ^(.*/)?files/(.*) wp-content/blogs.php?file=$2 [L]
    
    # add a trailing slash to /wp-admin
    RewriteCond %{REQUEST_URI} ^.*/wp-admin$
    RewriteRule ^(.+)$ $1/ [R=301,L]
    
    RewriteCond %{REQUEST_FILENAME} -f [OR]
    RewriteCond %{REQUEST_FILENAME} -d
    RewriteRule . - [L]
    RewriteRule  ^([_0-9a-zA-Z-]+/)?(wp-.*) $2 [L]
    RewriteRule  ^([_0-9a-zA-Z-]+/)?(.*\.php)$ $2 [L]
    RewriteRule . index.php [L]
    
    <IfModule mod_security.c>
    <Files async-upload.php>
    SecFilterEngine Off
    SecFilterScanPOST Off
    </Files>
    </IfModule>
  4. Heh. Okay. This is about to suck, and I'm sorry.

    To upgrade you need to do the following:

    1) Download and manually upgrade to 2.9.2 MU - http://wordpress.org/wordpress-mu-2.9.2.zip

    2) THEN manually upgrade to WP 3.0 - http://wordpress.org/wordpress-3.0.zip

    3) Read this - http://wpmututorials.com/how-to/upgrading-from-wpmu-to-wp-3-0/ - and make the suggested changes.

    4) Now you can upgrade to 3.4 (though I would suggest manually going to 3.2 and THEN auto-upgrade to 3.4)

    That will get you on latest and greatest, which will also be compatible with all your themes and plugins.

    I say all this because you are so out of date, the problem is likely to be a theme or plugin.

  5. mvpnyweb
    Member
    Posted 1 year ago #

    Ahh, I was thinking that could be the problem. Thanks for all those links! I'll have to upgrade and see if that helps.. Hopefully it will!

Topic Closed

This topic has been closed to new replies.

About this Topic